Проблема при компиляции приложения Android в Xamarin

Я новичок в мире мобильных разработок, я скачал Xamarin Studio (Mac), чтобы начать программировать приложения для всех трех сред, но, думаю, у меня проблема с Android SDK.

Когда я впервые создал приложение для Android, когда мне захотелось увидеть интерфейс в Main.axml, я пропустил окно, в котором говорилось, что что-то вроде SDK устарело, и мне нужно было обновить его до версии 25.0.2, как мне кажется. Я открыл Менеджер SDK и загрузил все дополнения, последнюю версию Android SDK Tools, Android DSK Build Tools и Android SDK Plataform Tools, а также весь пакет Android 6.0. Теперь дизайнер работает, но когда я компилирую приложение, возникает эта ошибка:

/Library/Frameworks/Mono.framework/External/xbuild/Xamarin/Android/Xamarin.Android.Common.targets: Ошибка: java.lang.UnsupportedClassVersionError: com / android / dx / command / Main: неподдерживаемая версия major.minor 52.0 (тестирование AndroidXamarin)

0
задан 26.12.2016, 17:06
0 ответов

Версия 52.0 имеет в виду специфическую версию JDK

  1. Xamarin Android для версии, которую ты используешь, требует JDK-8 в Вашей версии 1.8.
  2. Другая из решений, которое в меня я функционировало, состоит в том, чтобы загружать уровень компиляции в твое приложение, click право в твоем решении android и ты идешь в свойства, там ты увидишь версии компиляции я загрузил 6.0 marshmallow, так как из-за default я думаю, что он составляет тебя с Nougat, ты одну видишь, что ты это сделал, click право в твоем решении, clean и после build, уже с этим он был бы должен составлять без проблем версии.
0
ответ дан 03.12.2019, 17:59